//
//  THCustomView.m
//  DelegateExample
//
//  Created by Amit Bijlani on 2/18/14.
//  Copyright (c) 2014 Treehouse. All rights reserved.
//

#import "THCustomView.h"

@interface THCustomView ()

@property (nonatomic) UIButton *button;
@property (nonatomic) UILabel *label;

@end

@implementation THCustomView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        self.backgroundColor = [UIColor redColor];
        
        self.button = [UIButton buttonWithType:UIButtonTypeRoundedRect];
        self.button.frame = CGRectMake(20, self.frame.size.height-60, self.frame.size.width-40, 40);
        self.button.tintColor = [UIColor whiteColor];
        [self.button setTitle:@"Press Me" forState:UIControlStateNormal];
        [self.button addTarget:self action:@selector(buttonPressed:) forControlEvents:UIControlEventTouchUpInside];
        [self addSubview:self.button];
        
        
        self.label = [[UILabel alloc] initWithFrame:CGRectMake(20, 20, self.frame.size.width-40, 20)];
        self.label.textColor = [UIColor whiteColor];
        [self addSubview:self.label];


    }
    return self;
}



- (void) setText:(NSString *)text {
    self.label.text = text;
}

- (void) buttonPressed:(id) sender {
    if ( [self.delegate respondsToSelector:@selector(buttonPressed)]) {
        [self.delegate performSelector:@selector(buttonPressed)];
    } else {
        [self setText:@"ButtonPressed: Custom View"];
    }
}
    


@end












